CharacterSetType (Apache FOP 2.7 API)
Date: 2022-01-12

org.apache.fop.afp.fonts

## Enum CharacterSetType

- java.lang.Object
- - java.lang.Enum<CharacterSetType>
  - - org.apache.fop.afp.fonts.CharacterSetType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<CharacterSetType>

      public enum CharacterSetType
      extends java.lang.Enum<CharacterSetType>

  An enumeration of AFP characterset types.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `DOUBLE_BYTE` Double byte character sets; these do NOT have the shift-in;shift-out operators
    `DOUBLE_BYTE_LINE_DATA` Double byte character sets; these can have the shift-in;shift-out operators
    `SINGLE_BYTE`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static CharacterSetType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static CharacterSetType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### DOUBLE_BYTE

          public static final CharacterSetType DOUBLE_BYTE

      Double byte character sets; these do NOT have the shift-in;shift-out operators

    - #### DOUBLE_BYTE_LINE_DATA

          public static final CharacterSetType DOUBLE_BYTE_LINE_DATA

      Double byte character sets; these can have the shift-in;shift-out operators

    - #### SINGLE_BYTE

          public static final CharacterSetType SINGLE_BYTE

  - ### Method Detail

    - #### values

          public static CharacterSetType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (CharacterSetType c : CharacterSetType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static CharacterSetType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

Copyright 1999-2022 The Apache Software Foundation. All Rights Reserved.